package nl.amis.workshopse;

import junit.framework.TestCase;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.FileSystemXmlApplicationContext;
import org.springframework.jdbc.datasource.DriverManagerDataSource;

/**
 *  Unit testen van de BusinessRules
 *  @see        BusinessRules
 *  @author     Aino Andriessen
 */
public class TestBusinessRules extends TestCase
{
    public void setup ()
    {
    }
    
    public void teardown ()
    {
    }
    
        /**
         *  UnitTest de Calc1 methode
         */
    public void testCalc1()
    {
        
        BusinessRules  br = new BusinessRules();
                
        assertEquals ("Normal calc", 4.0, br.calc1(2), 0.0);
        assertEquals ("0", 0.0, br.calc1(0), 0.0);
        assertEquals ("Normal Calc", 500000.0, br.calc1(100), 0.0);
        assertEquals ("negative calc", -500.0, br.calc1(-10), 0.0);
        assertEquals ("Decimal calc", 0.5, br.calc1(1), 0.0);
    }

    
    
        /**
         *  UnitTest de Calc2 methode
         *  NOT IMPLEMENTED YET
         *  @TODO   IMPLEMENTATION
         */
    public void testCalc2()
    {
        BusinessRules2 br = new BusinessRules2();

            // read and create Spring beans -> e.g. DataSource
            // and add the DataSource to the class that needs it (BusinessRules2)
        ApplicationContext ctx = new FileSystemXmlApplicationContext("java/beans.xml");
        br.setDs((DriverManagerDataSource)ctx.getBean("ds"));
        
        //assertEquals ("0", 2.0, br.calc1(2), 0.0);

        // 
        //  Add the unittests
        //       
    }

}