CREATE OR REPLACE PACKAGE BODY weirdcalculations AS
/******************************************************************************
   NAME:        weirdcalculations
   PURPOSE:     This contains the application business rules
                This documentation will not be part of PLDoc

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        25-7-2005   Aino Andriessen   1. Created the package body.
   2.0        02-8-2005   Aino Andriessen   2. weirdCalculation2 toegevoegd
******************************************************************************/

FUNCTION weirdCalculation1 (pInput IN number) RETURN NUMBER IS
    /**
     *  The implementation of weirdCalculation1
     */
BEGIN
    return ((pInput * pInput) / 2);
END weirdCalculation1;

FUNCTION weirdCalculation2 (pInput IN number) RETURN NUMBER IS
BEGIN
    return ((pInput * pInput) / 4);
END weirdCalculation2;

END weirdcalculations;

/
