CREATE OR REPLACE PACKAGE weirdcalculations AS
/******************************************************************************
   NAME:       weirdcalculations
   PURPOSE:    This package contains some of the application business rules

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        25-7-2005   Aino Andriessen   1. Created this package.
   2.0        02-8-2005   Aino Andriessen   2. weirdCalculation2 toegevoegd
******************************************************************************/

    /**
     *  This is some kind of business rule en does a weird calculation<br>
     *      - It multiplies the input with itself and then divides the result by two
     *  @param      pInput      The input for the calculation
     *  @return                 The result of the calculation
     */
  FUNCTION weirdCalculation1 (pInput IN number) RETURN NUMBER;
  FUNCTION weirdCalculation2 (pInput IN number) RETURN NUMBER;

END weirdcalculations;

/
